Subject: Re: bug#50789: syncthing-gtk creates autostart file with wrong bin

From: Liliana Marie Prikler <[email-masked]>
Date: Sat, 25 Sep 2021 09:02:26 +0200

Hi John,

Am Samstag, den 25.09.2021, 00:45 +0000 schrieb John Kehayias:
> [...]
> 
> 3. Remove the ability for these types of files to be created, as
> Liliana suggested. I think this is drastic though, changing the
> expected behavior in programs and difficult to enforce evenly. The
> point raised is important though, that direct /gnu/store links
> shouldn't be used in such a way.
> 
> Perhaps there are others. What do we currently do in Guix, or what
> would be preferred? From a user standpoint, I'd expect creating an
> autostart file (for instance) to work as created and to continue to
> do so.
I think the answer to that one is fairly simple.  Guix should provide a
mechanism to generate/link autostart services, ideally via (guix home),
which will be upstreamed soon (idk if it has one such service already,
just throwing it out there).  However, the preferred solution is to not
bother with autostart at all and instead use shepherd to manage user
services – there is a tradeoff to be made between those management
styles somewhere.

Cheers